Get billing invoice
Retrieves the specified invoice.
Note: If the pdfAvailable property in the response is set to true, you can download a PDF version of the invoice. To download the PDF, make the call again and change the value of the Accept property in the header to Accept: application/pdf.
Privileges required: account administrator
The response returns a list of charges and information about the charges. Quantities are usually shown as ‘unlimited’ or an integer. Amounts are shown in the currency set for the account.
Response
The following table provides a description of the different chargeName property values. The information will grow as more chargeable items are added to the system.
Authentication
Authorizationstring
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
accountId
The external account number (int) or account id GUID.
invoiceId
Response
Successful response.
amount
The total amount of the purchase.
balance
Reserved: TBD
dueDate
Reserved: TBD
invoiceId
invoiceItems
Reserved: TBD
invoiceNumber
Reserved: TBD
invoiceUri
Contains a URI for an endpoint that you can use to retrieve invoice information.
nonTaxableAmount
pdfAvailable
taxableAmount
Errors
400
Bad Request Error